
.popup-delivery {
    background: #FFF;
    overflow: hidden;
    min-height: 100vh;
    height: auto;
    align-items: flex-start
}

.popup-delivery:after {
    display: none
}

.popup-delivery.popup-courier .popup-delivery_box {
    display: flex
}

.popup-delivery.popup-courier .popup-delivery_box form {
    margin-top: 15px
}

.popup-delivery .popup-container {
    justify-content: flex-start;
    flex-direction: column;
    box-shadow: none;
    max-width: unset;
    height: 100%
}

.popup-delivery_header {
    display: flex;
    width: 100%;
    padding: 20px 2.604vw;
    border-bottom: 1px solid #E9E9EC
}

.popup-delivery_header .popup-delivery_part:first-child {
    display: flex;
    align-items: center;
    max-width: 505px;
    width: 29.688vw;
}

.popup-delivery_header h2 {
    font-weight: bold;
    font-size: 24px;
    line-height: 28px;
    margin-bottom: 10px;
    margin-top: 0
}

.popup-delivery_header .cart-content {
    font-size: 16px;
    line-height: 19px;
    color: #A8A9AF
}

.popup-delivery_content {
    width: 100%;
    height: calc(100% - 100px);
    display: flex
}

.popup-delivery_content .popup-delivery_part.custom-delivery-balloon,
.popup-delivery_content .popup-delivery_part.delivery-left-side {
    height: 100%;
    max-width: 570px;
    width: 29.688vw;
    padding: 2.604vw;
    overflow-y: auto;
}

.popup-delivery_content .popup-delivery_part.delivery-left-side .location-changed-msg {
    display: flex;
    gap: 5px;
}

.popup-delivery_content .popup-delivery_part.delivery-left-side .location-changed-msg .icon-validation {
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #f4f4f6;
    border-radius: 50%;
    flex: 0 0 auto;
}

.popup-delivery_part .side-title {
    padding: 10px 50px;
    font-weight: 700;
}

.popup-delivery .delivery-item_instruction {
    display: none
}

.popup-delivery_part {
    flex: 1 0 auto
}

.popup-delivery_part .popup-close {
    display: flex;
    align-items: center;
    cursor: pointer
}

.popup-delivery_part .popup-close .icon {
    width: 40px;
    height: 40px;
    background: #F9F9FA;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    margin-right: 12px
}

.popup-delivery_part .popup-close .icon:before {
    color: #2D354D
}

.popup-delivery .view-buttons {
    display: flex;
    justify-content: space-between;
    margin-bottom: 40px
}

.popup-delivery .view-buttons .btn {
    flex: 1 0 auto;
    border: 2px solid #E9E9EC;
    text-align: center
}

.popup-delivery .view-buttons .btn:first-child {
    margin-right: 10px
}

.popup-delivery .view-buttons .btn.active {
    border: 2px solid #1CA0FF
}

.popup-delivery .delivery-map {
    height: 100%;
    width: 100%
}

.popup-delivery_box {
    display: none;
    flex-direction: column;
    height: calc(100% - 100px)
}

.popup-delivery_box.active {
    display: flex
}

.popup-delivery_box .icon-delivery-courier {
    margin-right: 12px
}

.popup-delivery_box .btn {
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%
}

.popup-delivery_box .form-fields {
    flex-direction: row;
    justify-content: flex-start
}

.popup-delivery_box .form-fields .form-field {
    margin-right: 20px;
    max-width: 120px
}

.popup-delivery_box .form-fields .form-field:last-child {
    margin-right: 0
}

.popup-delivery_form form {
    margin-top: 24px;
    height: 70%;
    display: flex;
    flex-direction: column
}

.popup-delivery_form form .form-field {
    margin-bottom: 20px;
    margin-top: 0
}

.popup-delivery_form form input {
    margin-bottom: 14px
}

.popup-delivery_form .delivery-notice {
    font-size: 16px;
    line-height: 140%;
    color: #A8A9AF
}

.popup-delivery_form .btn-wrapper {
    margin-top: auto
}

.popup-delivery_form .link-blue {
    font-weight: bold;
    font-size: 18px;
    line-height: 140%;
    color: #1CA0FF;
    cursor: pointer
}

.popup-delivery_form .link-blue .icon {
    margin-right: 4px
}

.popup-delivery_choosed {
    display: none;
    position: relative;
    margin-top: 40px;
    padding-bottom: 60px;
    overflow-y: auto
}

.popup-delivery_choosed .delivery-meta {
    margin-bottom: 14px;
    line-height: 160%;
    margin-top: 14px;
}

.popup-delivery_choosed .delivery-meta strong {
    margin-right: 4px;
    font-weight: bold;
    font-size: 16px;
    line-height: 160%;
    color: #2D354D
}

.popup-delivery_choosed .delivery-meta_company {
    display: flex;
    align-items: center;
    color: #A8A9AF
}

.popup-delivery_choosed .delivery-meta .js-delivery_hours, .popup-delivery_choosed .delivery-meta .js-delivery_instruction {
    margin-top: 5px;
    text-transform: lowercase;
}

.popup-delivery_choosed .js-unselect-delivery-address {
    position: absolute;
    right: 0;
    top: 7px;
    cursor: pointer
}

.popup-delivery_choosed .btn-wrapper {
    margin-top: auto
}

.popup-delivery_choosed .btn-wrapper .btn {
    width: 100%;
    text-align: center;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center
}

.popup-delivery .tab {
    display: none;
    height: 100%
}

.popup-delivery .tab.active {
    display: block
}

.popup-delivery .list-box {
    height: 100%;
    width: 100%
}

.popup-delivery .delivery-list {
    width: 100%;
    height: 100%;
    position: relative
}

.popup-delivery .delivery-list_header {
    display: flex;
    justify-content: space-between;
    font-size: 14px;
    line-height: 140%;
    color: #A8A9AF;
    margin: 0 2.604vw;
    padding: 0 2.604vw;
    padding-top: 30px;
    padding-bottom: 20px;
    border-bottom: 1px solid #E9E9EC
}

.popup-delivery .delivery-list_header .delivery-header_col {
    flex: 1 0 25%
}

.popup-delivery .delivery-list_items {
    height: 100%;
    overflow-y: scroll
}

.popup-delivery .delivery-list_items .delivery-list_item {
    cursor: pointer;
    padding: 0 2.604vw;
    transition: .4s background
}

.popup-delivery .delivery-list_items .delivery-list_item:hover, .popup-delivery .delivery-list_items .delivery-list_item.choosed {
    background: #EDF8FF
}

.popup-delivery .delivery-list_items .delivery-list_item label {
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    padding: 1.354vw 2.604vw;
    border-bottom: 1px solid #E9E9EC
}

.popup-delivery .delivery-list .delivery-item_col {
    flex: 1 0 25%
}

.popup-delivery .delivery-list .delivery-item_company {
    padding-left: 33px;
    margin-top: 5px;
    line-height: 140%;
    font-size: 14px;
    color: #A8A9AF
}

.popup-delivery .delivery-list .delivery-item_price {
    font-weight: bold
}

.popup-delivery .input-search {
    padding-left: 44px;
    background-size: 16px 18px;
    background-position: 12px center;
    background-repeat: no-repeat;
    max-width: 420px;
    width: 100%;
    background-image: url(images/icon-search.svg);
    font-size: 16px
}

.red {
    color: red;
}

.dragger {
    height: 70px;
    position: relative;
    width: 50px;
    bottom: 60px;
    right: 18px;
}

.dragger-pin {
    background-color: #f91155;
    border-radius: 50%;
    height: 50px;
    position: absolute;
    width: 50px;
    z-index: 2;
}

.dragger-pin:before {
    background-color: #f91155;
    content: "";
    display: block;
    height: 27px;
    left: 23px;
    position: absolute;
    top: 52px;
    transform: translateY(-10px);
    width: 4px;
}

.dragger-circle {
    color: #fff;
    font-size: 17px;
    font-family: 'Open Sans',Arial,Helvetica,sans-serif;
    height: 15px;
    position: relative;
    top: 14px;
    width: 50px;
    z-index: 2;
}

.dragger-text {
    text-align: center;
}

.dragger-dot {
    bottom: -2px;
    height: 7px;
    left: 20px;
    position: absolute;
    width: 10px;
    background: #727272;
    opacity: 0.2;
    border-radius: 10px;
}

.popup-delivery_form .hide_button{
    display: none;
}

.form-input .icon-validation.suggest-preloader {
    margin-right: 5px;
}

.icon-preloader:before {
    content: url(/images/preloader_old.gif);
}

.form-input .ui-menu .ui-menu-item-wrapper {
    position: relative;
    padding: 4px 1em 4px 15px;
    font-size: 14px;
}

.delivery-map_item {
    border-bottom: 1px solid #E9E9EC;
    padding: 30px 0;
    cursor: pointer;
    transition: .4s background;
}

.popup-container.detail-delivery {
    height: 90%;
    max-height: 700px;
    max-width: 1200px;
    width: 90%
}

.popup-container.detail-delivery .popup-content{
    height: 90vh;
    max-height: 700px;
}

.popup-container.detail-delivery .popup-delivery_content{
    height: calc(100% - 100px);
}

.popup-container.detail-delivery .popup-delivery_content .popup-delivery_part{
    padding: 0 20px 0 0;
    max-width: 390px;
}

.popup-container.detail-delivery .popup-delivery_content .delivery-map_item{
    padding: 20px
}

.popup-container.detail-delivery .delivery-map{
    display: block;
    height: 100%;
    width: 100%;
}

.delivery-map_item.active,
.delivery-map_item:hover {
    background-color: #edf8ff;
}

.delivery-map_item .btn-wrapper,
.delivery-map_item .delivery-item_meta {
    display: none;
}


.delivery-map_item.active .delivery-item_meta {
    display: flex;
}

.delivery-map_item.active .btn-wrapper {
    display: block;
}

.delivery-map_item .avialability-status {
    display: flex;
    align-items: center;
}

.delivery-map_item .delivery-item_content {
    padding: 0 50px;
}

.delivery-map_item .delivery-item_address {
    font-weight: 500;
    font-size: 18px;
    line-height: 160%;
    margin-bottom: 9px;
}

.delivery-map_item .delivery-item_company {
    font-size: 15px;
    line-height: 160%;
    color: #A8A9AF;
    margin-bottom: 9px;
}

.delivery-map_item .btn-wrapper {
    margin-top: 10px;
}

.delivery-map_item .select-pickup {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 14px;
}

.delivery-map_item .delivery-item_meta {
    line-height: 160%;
    padding: 5px 0;
    font-size: 14px;
}

.delivery-map_item .delivery-item_meta span {
    flex: 1;
}

.delivery-map_item .delivery-item_meta .meta-title {
    font-weight: 700;
}

#zipcode.error{
    border-color: #f77c56;
}
#zipcode-error {
    margin: 0;
    color: #f77c56;
}